E-Arogya - Feature #65

Security Audit
17/04/2024 03:04 PM - Kalyan Battula

Status: New Start date: 17/04/2024
Priority: High Due date:

Assignee: % Done: 96%
Category: Estimated time: 0:00 hour
Target version: Security Audit Spent time: 0:00 hour
Deployed In: Category:

Description

List of Security Audit issues

Subtasks:

Bug # 66: [Security Audit ] 1- Privilege Escalation Closed
Bug # 67: [Security Audit ] 2-Insecure Data Storage In Progress
Bug # 68: [Security Audit ] 3-Broken Access Control Closed
Bug # 69: [Security Audit ] 4- User Account Takeover Closed
Bug # 70: [Security Audit ] 5 -Failed Defences Against Application Misuse Closed
Bug # 71: [Security Audit ] 6- Unrestricted File Upload Closed
Bug # 72: [Security Audit ] 7- Framework Obsolete Version in usage Closed
Bug # 73: [Security Audit ] 8- Insecure Direct Object Reference (IDOR) Closed
Bug # 74: [Security Audit ] 9- Improper Input Validation Closed
Bug # 75: [Security Audit ]10 -Sensitive Information Disclosure Closed
Bug # 76: [Security Audit] 11- OTP Flooding Closed

Bug # 107: To stop the bot attack added captch in ui Closed
Bug # 77: [Security Audit] 12- OTP Bypass Closed
Bug # 78: [Security Audit ] 13 -Aadhaar is Not Encrypted in Transit Closed

Bug # 106: Nationalid details encription from backend Closed
Bug # 79: [Security Audit ] 14 -Improper Session Management / Session Expiration too lo... Closed
Bug # 80: [Security Audit ] 15- Insufficient Aadhaar Verification Closed
Bug # 81: [Security Audit ] 16- Weak Password Policy Closed
Bug # 82: [Security Audit ]17 - OTP Bruteforce Closed
Bug # 83: [Security Audit ]18- Application Logic Bypass Closed
Bug # 84: [Security Audit ]19- Client side bypass / Improper server side validation Closed
Bug # 85: [Security Audit ] 20- Cross Origin Resource Sharing (CORS) Misconfiguration Closed
Bug # 86: [Security Audit ] 21 -Insufficient Anti-Automation Closed
Bug # 87: [Security Audit ] 22 -Security headers are not Implemented Closed
Bug # 88: [Security Audit ] 23- Email addresses disclosed Closed
Bug # 89: [Security Audit ] 24- Improper Error Handling Closed
Bug # 90: [Security Audit ] 25- Logout Functionality Not Implemented Closed
Bug # 91: [Security Audit ] 26 -Cross-Site Request Forgery (CSRF) Closed
Bug # 92: [Security Audit ] 27 -Sensitive Data Passed Through URL Parameters Closed
Bug # 93: [Security Audit ] 28- Technology/Version Disclosure Closed
Bug # 94: [Security Audit ] 29 -Clickjacking Attack Closed
Bug # 95: [Security Audit ] 30- Port misconfiguration Closed
Bug # 96: [Security Audit ] 31 -Username and Password field with auto-complete Closed
History
#1 - 17/04/2024 02:54 AM - Kalyan Battula
- Subtask #66 added
#2 - 17/04/2024 02:59 AM - Kalyan Battula
- Subtask #67 added

#3 - 17/04/2024 03:03 AM - Kalyan Battula
- Subtask #68 added

#4 - 17/04/2024 03:06 AM - Kalyan Battula
- Subtask #69 added

#5 - 17/04/2024 03:07 AM - Kalyan Battula
- Subtask #70 added

#6 - 17/04/2024 03:09 AM - Kalyan Battula
- Subtask #71 added

#7 - 17/04/2024 03:11 AM - Kalyan Battula
- Subtask #72 added

#8 - 17/04/2024 03:13 AM - Kalyan Battula
- Subtask #73 added

#9 - 17/04/2024 03:14 AM - Kalyan Battula
- Subtask #74 added

#10 - 17/04/2024 03:16 AM - Kalyan Battula
- Subtask #75 added

#11 - 17/04/2024 03:19 AM - Kalyan Battula
- Subtask #76 added

#12 - 17/04/2024 03:21 AM - Kalyan Battula
- Subtask #77 added

#13 - 17/04/2024 03:23 AM - Kalyan Battula
- Subtask #78 added

#14 - 17/04/2024 03:25 AM - Kalyan Battula
- Subtask #79 added

#15 - 17/04/2024 03:26 AM - Kalyan Battula
- Subtask #80 added

#16 - 17/04/2024 03:28 AM - Kalyan Battula
- Subtask #81 added

#17 - 17/04/2024 03:29 AM - Kalyan Battula
- Subtask #82 added

#18 - 17/04/2024 03:30 AM - Kalyan Battula
- Subtask #83 added

#19 - 17/04/2024 03:31 AM - Kalyan Battula
- Subtask #84 added

#20 - 17/04/2024 03:32 AM - Kalyan Battula
- Subtask #85 added
#21 - 17/04/2024 03:33 AM - Kalyan Battula
- Subtask #86 added

#22 - 17/04/2024 03:35 AM - Kalyan Battula
- Subtask #87 added

#23 - 17/04/2024 03:36 AM - Kalyan Battula
- Subtask #88 added

#24 - 17/04/2024 03:37 AM - Kalyan Battula
- Subtask #89 added

#25 - 17/04/2024 03:38 AM - Kalyan Battula
- Subtask #90 added

#26 - 17/04/2024 03:39 AM - Kalyan Battula
- Subtask #91 added

#27 - 17/04/2024 03:40 AM - Kalyan Battula
- Subtask #92 added

#28 - 17/04/2024 03:41 AM - Kalyan Battula
- Subtask #93 added

#29 - 17/04/2024 03:43 AM - Kalyan Battula
- Subtask #94 added

#30 - 17/04/2024 03:44 AM - Kalyan Battula
- Subtask #95 added

#31 - 17/04/2024 03:47 AM - Kalyan Battula
- Subtask #96 added

#32 - 03/05/2024 05:28 AM - Sivakanth Kesiraju

- Target version set to Security Audit
